# Common Environment properties

#Docker URL
#driverType=local
driverType=remote
remoteDriverURL=http://hub:4444/wd/hub

#DB URL
DBConnection=OFF
#SqlDbUrl=jdbc:sqlserver://localhost:1433;user=;database=SPRM;user=tesco;password=root
SqlDbUrl=jdbc:sqlserver://172.28.161.75;databaseName=CRDB;integratedSecurity=true;authenticationScheme=JavaKerberos;userName=svc-rangematrix;password=zf7ufxTbT#$63
 

#api.baseURL=https://toolkit.tesco.com/myproductrange/
#api.baseURL=https://range.dev.tnedevs.com/myproductrange/


api.baseURL=http://product.apps.jetsdev.psteklabs.com/product

api.tokenURL=https://identity-ppe.api.tesco.com/v3/api/auth/oauth/v2/token

myPolit=https://www.google.com/

#myProductRange=http://localhost:3000
#myProductRange=https://range.dev.tnedevs.com/myproductrange
myProductRange=https://toolkit.tesco.com/myproductrange/

#https://www.academy.com/
CaptureScreenShot=Yes
CaptureOnlyFAIL=No
#isLocalENV value yes/no
isLocalENV=Yes
#AppType values web android ios
browserType=chrome
AppType=web
deviceName=iphone6
#testdatafilename=mPRUI_TestData.properties
testdatafilename=mPRAPI_TestData.properties
#explicit wait Timeout in Seconds
WEBDRIVER_EXPLICIT_WAITTIME_SECONDS=55
WEBDRIVER_IMPLICIT_WAITTIME_SECONDS=20
PAGELOAD_WAITTIME_SECONDS=120

#api.baseURL=http://35.202.244.154

#Android Mobile DesiredCapabilities and others Properties
a.platformName=Android
a.platformVersion=7.0.1
a.deviceName=emulator-5554
a.clearSystemFiles=true
a.chromedriverExecutable=chromedriver-55.exe
browser=chrome
#a.avd=
#fullReset=
#noReset=
#autoWebview=
#automationName=
L2=\"Men's Clothing\"

####	Get Token configurations
Token_ClientId=trn:tesco:cid:3ba1dd21-49b1-4bfb-bda1-6d6256240f93:1574c2d3-8a1d-4d70-98d9-6d075ad8871b
Token_ClientGrantType=password
Token_UserName=Product-Range-API-UserAccount-PPE
Token_Password=2pRmXA6fcR0pH@RK1%kpEaQgD@gycd

#### Cookies config values
tpenv=ppe
domain=.range.dev.tnedevs.com

